Bug 23392 - Make generic drivers enhancements
Summary: Make generic drivers enhancements
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: Flash driver (Show other bugs)
(Show other bugs)
Version: CVS
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: ecc-bugs-int
QA Contact: ecc-bugs-int
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-05 09:27 UTC by Jesper Skov
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 15:55:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesper Skov 2001-01-05 09:27:52 UTC
We need to move away from the per-platform drivers. We want generic
cross-platform device drivers with the platform providing necessary
specifics - flash base, count, configuration, platform-specific RW control,
cache magic.

Already made a (incomplete) start with Intel bootblock parts and AMD 29F040
parts.


The IO driver needs some changes to support mutiple flash regions of
different types.

Comment 1 Jesper Skov 2001-01-05 09:40:43 UTC
Note that the AMD (generic) code uses some run-time loops to handle interleaved
parts. We probably have to abandon that in favor of compile-time magic to handle
various bus widths (using macros). Problem with the existing code is that it may
not work on all architectures if they do reads before partial writes (i.e., read
32 bits, update byte of that, write out 32 bits).


Comment 2 Jesper Skov 2001-01-08 10:40:27 UTC
See this thread:

CC: ecc-dev-drivers@cygnus.com
Subject: Attempt at generalizing the AMD AM29F040B flash driver



Comment 3 Jesper Skov 2001-01-08 10:51:46 UTC
See also this thread:
Cc: eCos Engineering <ecc-eng@cygnus.co.uk>
Subject: OMAP uses intel flash driver


Comment 4 Alex Schuilenburg 2003-06-20 15:55:04 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=23392


Note You need to log in before you can comment on or make changes to this bug.